/* bztclInt.c --
   
   Part of: BZTCL
   Contents: internal include file
   Date: Tue May  7, 2002
   
   Abstract
   
	This file provides internal declarations; it must be included in
	all the files.
   
   Copyright (c) 2002, 2003, 2004 Marco Maggi
   
   The author hereby grant  permission to use, copy, modify, distribute,
   and  license this  software and  its documentation  for  any purpose,
   provided that  existing copyright notices are retained  in all copies
   and that  this notice is  included verbatim in any  distributions. No
   written agreement, license, or royalty fee is required for any of the
   authorized uses.   Modifications to this software  may be copyrighted
   by their  authors and need  not follow the licensing  terms described
   here, provided that the new  terms are clearly indicated on the first
   page of each file where they apply.
   
   IN NO EVENT  SHALL THE AUTHOR OR DISTRIBUTORS BE  LIABLE TO ANY PARTY
   FOR DIRECT,  INDIRECT, SPECIAL, INCIDENTAL,  OR CONSEQUENTIAL DAMAGES
   ARISING OUT  OF THE USE OF  THIS SOFTWARE, ITS  DOCUMENTATION, OR ANY
   DERIVATIVES  THEREOF, EVEN  IF THE  AUTHOR HAVE  BEEN ADVISED  OF THE
   POSSIBILITY OF SUCH DAMAGE.
   
   THE  AUTHOR AND  DISTRIBUTORS SPECIFICALLY  DISCLAIM  ANY WARRANTIES,
   INCLUDING,   BUT  NOT   LIMITED   TO,  THE   IMPLIED  WARRANTIES   OF
   MERCHANTABILITY,    FITNESS   FOR    A   PARTICULAR    PURPOSE,   AND
   NON-INFRINGEMENT.  THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, AND
   THE   AUTHOR  AND   DISTRIBUTORS  HAVE   NO  OBLIGATION   TO  PROVIDE
   MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
   
   $Id: bztclInt.h,v 1.72 2003/09/10 10:50:27 marco Exp marco $
*/

#ifndef __BZTCLINT_H
#define __BZTCLINT_H 1


/** ------------------------------------------------------------
 ** Header files.
 ** ----------------------------------------------------------*/

#include <tcl.h>
#include <tclmore.h>

TCLMORE_BEGIN_C_DECL


/** ------------------------------------------------------------
 ** Symbols.
 ** ----------------------------------------------------------*/

/*
   Windows  needs to  know  which  symbols to  export.   Unix does  not.
   BUILD_bztcl should be undefined for Unix.
*/

#ifdef BUILD_bztcl
#  undef TCL_STORAGE_CLASS
#  define TCL_STORAGE_CLASS DLLEXPORT
#endif 


/** ------------------------------------------------------------
 ** Include files.
 ** ----------------------------------------------------------*/

#include "bztclDecls.h"


/** ------------------------------------------------------------
 ** Function prototypes.
 ** ----------------------------------------------------------*/

EXTERN int Bztcl_Init		_ANSI_ARGS_((Tcl_Interp *interp));
EXTERN int Bztcl_SafeInit	_ANSI_ARGS_((Tcl_Interp *interp));
EXTERN int Bztcl_CreateCommands	_ANSI_ARGS_((Tcl_Interp *interp));


/** ------------------------------------------------------------
 ** Global variables.
 ** ----------------------------------------------------------*/

EXTERN CONST Bztcl_StubTable	bztclStub;

TCLMORE_END_C_DECL

#endif /* __BZTCLINT_H */


/* end of file */
