/* bztclStubInit.c --
   
   Part of: BZTCL
   Contents: stubs table
   Date: Fri Aug 15, 2003
   
   Abstract
   
	Initialises the stub table.   
   
   Copyright (c) 2003, 2004 Marco Maggi
   
   The author hereby grant  permission to use, copy, modify, distribute,
   and  license this  software and  its documentation  for  any purpose,
   provided that  existing copyright notices are retained  in all copies
   and that  this notice is  included verbatim in any  distributions. No
   written agreement, license, or royalty fee is required for any of the
   authorized uses.   Modifications to this software  may be copyrighted
   by their  authors and need  not follow the licensing  terms described
   here, provided that the new  terms are clearly indicated on the first
   page of each file where they apply.
   
   IN NO EVENT  SHALL THE AUTHOR OR DISTRIBUTORS BE  LIABLE TO ANY PARTY
   FOR DIRECT,  INDIRECT, SPECIAL, INCIDENTAL,  OR CONSEQUENTIAL DAMAGES
   ARISING OUT  OF THE USE OF  THIS SOFTWARE, ITS  DOCUMENTATION, OR ANY
   DERIVATIVES  THEREOF, EVEN  IF THE  AUTHOR HAVE  BEEN ADVISED  OF THE
   POSSIBILITY OF SUCH DAMAGE.
   
   THE  AUTHOR AND  DISTRIBUTORS SPECIFICALLY  DISCLAIM  ANY WARRANTIES,
   INCLUDING,   BUT  NOT   LIMITED   TO,  THE   IMPLIED  WARRANTIES   OF
   MERCHANTABILITY,    FITNESS   FOR    A   PARTICULAR    PURPOSE,   AND
   NON-INFRINGEMENT.  THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, AND
   THE   AUTHOR  AND   DISTRIBUTORS  HAVE   NO  OBLIGATION   TO  PROVIDE
   MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.

*/

#include "bztclInt.h"

CONST Bztcl_StubTable bztclStub = {
  Bztcl_CompressObj,
  Bztcl_UncompressObj,

  /* File interface. */

  Bztcl_Open,
  Bztcl_Close,
  Bztcl_ReadObj,
  Bztcl_Read,
  Bztcl_WriteObj,
  Bztcl_Write,

  Bztcl_SetSmall,
  Bztcl_SetWorkFactor,
  Bztcl_SetBlockSize,

  Bztcl_Eof,

  Bztcl_GetHandle,
  Bztcl_GetWorkFactor,
  Bztcl_GetBlockSize,
  Bztcl_GetSmall,
  
  Bztcl_ReadableFile,
  Bztcl_WritableFile,
  
  /* Stream interface. */
  
  Bztcl_StreamInit,
  Bztcl_StreamFinal,
  Bztcl_StreamOutput,
  Bztcl_StreamRead,
  Bztcl_StreamWrite,
  Bztcl_StreamFlush,
  Bztcl_StreamFinish,

  Bztcl_StreamSetBufferSize,
  Bztcl_StreamSetBufferHysteresis,
  Bztcl_StreamGetBufferSize,
  Bztcl_StreamGetBufferHysteresis,

  Bztcl_StreamGetWorkFactor,
  Bztcl_StreamGetBlockSize,
  Bztcl_StreamGetSmall,
  
  /* Value extractors. */
  
  Bztcl_GetBlockSizeFromObj,
  Bztcl_GetWorkFactorFromObj,
  
  /* Channel interface. */
  
  Bztcl_MakeChannel,
  Bztcl_MakeTransform,
  
  /* Miscellaneous. */

  Bztcl_IsWorkFactor,
  Bztcl_IsBlockSize,
  Bztcl_Version
};

/* end of file */
