m4_divert(-1)m4_dnl
# amtea.m4 --
# 
# Part of: DevelStuff
# Contents: automake M4 macros for TEA
# Date: Sat Jan  4, 2003
# 
# Abstract
# 
#	This file provides a set of modules to use the TEA (TCL
#	Extension Architecture) to build a TCL extension library.
#
# Copyright (c) 1999 Scriptics Corporation.
# Copyright (c) 2002 ActiveState SRL.
# Copyright (c) 2003, 2004 Marco Maggi.
# 
# The author  hereby grant permission to use,  copy, modify, distribute,
# and  license this  software  and its  documentation  for any  purpose,
# provided that  existing copyright notices  are retained in  all copies
# and that  this notice  is included verbatim  in any  distributions. No
# written agreement, license, or royalty  fee is required for any of the
# authorized uses.  Modifications to this software may be copyrighted by
# their authors and need not  follow the licensing terms described here,
# provided that the new terms are clearly indicated on the first page of
# each file where they apply.
# 
# IN NO  EVENT SHALL THE AUTHOR  OR DISTRIBUTORS BE LIABLE  TO ANY PARTY
# FOR  DIRECT, INDIRECT, SPECIAL,  INCIDENTAL, OR  CONSEQUENTIAL DAMAGES
# ARISING OUT  OF THE  USE OF THIS  SOFTWARE, ITS DOCUMENTATION,  OR ANY
# DERIVATIVES  THEREOF, EVEN  IF THE  AUTHOR  HAVE BEEN  ADVISED OF  THE
# POSSIBILITY OF SUCH DAMAGE.
# 
# THE  AUTHOR  AND DISTRIBUTORS  SPECIFICALLY  DISCLAIM ANY  WARRANTIES,
# INCLUDING,   BUT   NOT  LIMITED   TO,   THE   IMPLIED  WARRANTIES   OF
# MERCHANTABILITY,    FITNESS   FOR    A    PARTICULAR   PURPOSE,    AND
# NON-INFRINGEMENT.  THIS  SOFTWARE IS PROVIDED  ON AN "AS  IS" BASIS,
# AND  THE  AUTHOR  AND  DISTRIBUTORS  HAVE  NO  OBLIGATION  TO  PROVIDE
# MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
# 

#PAGE
DS_DEFUN([TEA_VARIABLES], [#PAGE
## ------------------------------------------------------------
## TCL Extension Architecture variables.
## ------------------------------------------------------------

vpath	%.c	DS_GENERIC_SRCDIR_MACRO
vpath	%.c	DS_MAC_SRCDIR_MACRO
vpath	%.c	DS_UNIX_SRCDIR_MACRO
vpath	%.c	DS_WIN_SRCDIR_MACRO

vpath	%.h	DS_GENERIC_SRCDIR_MACRO
vpath	%.h	DS_MAC_SRCDIR_MACRO
vpath	%.h	DS_UNIX_SRCDIR_MACRO
vpath	%.h	DS_WIN_SRCDIR_MACRO

PACKAGE		= $(PACKAGE_NAME)
PACKAGE_VERSION_MAJOR	= @PACKAGE_VERSION_MAJOR@
PACKAGE_VERSION_MINOR	= @PACKAGE_VERSION_MINOR@
PACKAGE_VERSION_PATCH	= @PACKAGE_VERSION_PATCH@
PACKAGE_VERSION_MAJMIN	= $(PACKAGE_VERSION_MAJOR).$(PACKAGE_VERSION_MINOR)


INSTALL		= @INSTALL@
#INSTALL_DIR	= @INSTALL_DIR@
INSTALL_PROGRAM	= @INSTALL_PROGRAM@
#INSTALL_DATA	= @INSTALL_DATA@
INSTALL_SCRIPT	= @INSTALL_SCRIPT@

CC		= @CC@
CFLAGS_DEBUG	= @CFLAGS_DEBUG@
CFLAGS_DEFAULT	= @CFLAGS_DEFAULT@
CFLAGS_WARNING	= @CFLAGS_WARNING@
CFLAGS_OPTIMIZE	= @CFLAGS_OPTIMIZE@
CLEANFILES	= @CLEANFILES@
EXEEXT		= @EXEEXT@
LDFLAGS_DEBUG	= @LDFLAGS_DEBUG@
LDFLAGS_DEFAULT	= @LDFLAGS_DEFAULT@
LDFLAGS_OPTIMIZE = @LDFLAGS_OPTIMIZE@
MAKE_LIB	= @MAKE_LIB@
MAKE_SHARED_LIB	= @MAKE_SHARED_LIB@
MAKE_STATIC_LIB	= @MAKE_STATIC_LIB@
OBJEXT		= @OBJEXT@
RANLIB		= @RANLIB@
SHLIB_CFLAGS	= @SHLIB_CFLAGS@
SHLIB_LD	= @SHLIB_LD@
SHLIB_LDFLAGS	= @SHLIB_LDFLAGS@
SHLIB_LD_LIBS	= @SHLIB_LD_LIBS@
STLIB_LD	= @STLIB_LD@
TCL_DEFS	= @TCL_DEFS@
TCL_SRC_DIR	= @TCL_SRC_DIR@
TCL_BIN_DIR	= @TCL_BIN_DIR@
# Not used, but retained for reference of what libs Tcl required
TCL_LIBS	= @TCL_LIBS@

# TCLLIBPATH seeds the auto_path in Tcl's init.tcl so we can test our
# package without installing.  The other environment variables allow us
# to test against an uninstalled Tcl.  Add special env vars that you
# require for testing here (like TCLX_LIBRARY).

EXTRA_PATH	= $(top_builddir):$(TCL_BIN_DIR)
TCLSH_ENV	= TCL_LIBRARY=`@CYGPATH@ $(TCL_SRC_DIR)/library` \
		  LD_LIBRARY_PATH="$(EXTRA_PATH):$(LD_LIBRARY_PATH)" \
		  LIBPATH="$(EXTRA_PATH):$(LIBPATH)" \
		  SHLIB_PATH="$(EXTRA_PATH):$(SHLIB_PATH)" \
		  PATH="$(EXTRA_PATH):$(PATH)" \
		  TCLLIBPATH="$(top_builddir)"
TCLSH_PROG	= @TCLSH_PROG@
TCLSH		= $(TCLSH_ENV) $(TCLSH_PROG)

INCLUDES	= @TCL_INCLUDES@

EXTRA_CFLAGS	= $(MEM_DEBUG_FLAGS) @EXTRA_CFLAGS@

DEFS		= @DEFS@ $(TCL_DEFS) $(EXTRA_CFLAGS)

CPPFLAGS	= @CPPFLAGS@
LIBS		= @LIBS@
AR		= @AR@
CFLAGS		= @CFLAGS@
COMPILE		= $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)


tea_TARGETS		= $($(PACKAGE_NAME)_LIB_FILE)
tea_CLEANFILES		= *.$(OBJEXT) core *.core $($(PACKAGE_NAME)_LIB_FILE)
tea_REALCLEANFILES	= $(tea_CLEANFILES)

@PACKAGE_NAME@_LIB_FILE	= @@PACKAGE_NAME@_LIB_FILE@
tea_LIB_FILE		= $(@PACKAGE_NAME@_LIB_FILE)

# @PACKAGE_NAME@_SOURCES	=
# @PACKAGE_NAME@_HEADERS	=
tea_SOURCES		= $(@PACKAGE_NAME@_SOURCES) @EXTRA_SOURCES@
@PACKAGE_NAME@_OBJECTS	= $(tea_SOURCES:.c=.@OBJEXT@)

lib_BINARIES		= $(@PACKAGE_NAME@_LIB_FILE)


.PHONY: tea-all tea-clean tea-realclean
.PHONY: tea-install-binaries tea-install-lib-binaries tea-install-bin-binaries
.PHONY: tea-install-headers tea-install-man

tea-all: $(tea_TARGETS)
tea-clean:
	-$(RM) $(tea_CLEANFILES)
tea-realclean:
	-$(RM) $(tea_REALCLEANFILES)


.SUFFIXES: .c .$(OBJEXT)

$(@PACKAGE_NAME@_LIB_FILE): $(@PACKAGE_NAME@_OBJECTS)
	-$(RM) $(@PACKAGE_NAME@_LIB_FILE)
	$(MAKE_LIB)
	$(RANLIB) $(@PACKAGE_NAME@_LIB_FILE)

%.$(OBJEXT): %.c
	$(COMPILE) -c `@CYGPATH@ $(<)` -o $(@)

.PHONY: tea-install

tea-install: tea-install-binaries

tea-install-binaries: tea-install-lib-binaries tea-install-bin-binaries
	@$(INSTALL_DIR) $(INSTALL_ROOT)$(pkglibdir)
	$(INSTALL_DATA) meta/pkgIndex.tcl $(INSTALL_ROOT)$(pkglibdir);

tea-install-headers:
ifneq	(,$($(PACKAGE_NAME)_HEADERS))
	@$(INSTALL_DIR) $(INSTALL_ROOT)$(includedir)
	@echo "Installing header files in $(INSTALL_ROOT)$(includedir)"
	@for i in $($(PACKAGE_NAME)_HEADERS) "" ; do \
	   if test -n "$$i" ; then \
	     echo "Installing $$i" ; \
	     $(INSTALL_DATA) $$i $(INSTALL_ROOT)$(includedir) ; \
           fi; \
	done;
endif

# Install binary object libraries.  On Windows this includes both .dll
# and .lib files.  Because the .lib files are not explicitly listed
# anywhere, we need to deduce their existence from the .dll file of the
# same name.  Additionally, the .dll files go into the bin directory,
# but the .lib files go into the lib directory.  On Unix platforms, all
# library files go into the lib directory.  In addition, this will
# generate the pkgIndex.tcl file in the install location (assuming it
# can find a usable tclsh8.2 shell)
#
# You should not have to modify this target.

# nota:
# - l'uso di sed la prima volta serve per estrarre l'estensione
#   dal nome della libreria: se dll (-> siamo su Windows)
#   viene costruito un altro nome di libreria con lo stesso basename
#   ma con estensione .lib; i due file vengono installati in directory
#   diverse

tea_SHARED_LIBNAME	= lib$(PACKAGE_NAME)$(PACKAGE_VERSION).so
tea_SHARED_LINKNAME1	= lib$(PACKAGE_NAME)$(PACKAGE_VERSION_MAJMIN).so
tea_SHARED_LINKNAME2	= lib$(PACKAGE_NAME)$(PACKAGE_VERSION_MAJOR).so

tea_SHARED_LIBNAME_DEBUG   = lib$(PACKAGE_NAME)$(PACKAGE_VERSION)g.so
tea_SHARED_LINKNAME1_DEBUG = lib$(PACKAGE_NAME)$(PACKAGE_VERSION_MAJMIN)g.so
tea_SHARED_LINKNAME2_DEBUG = lib$(PACKAGE_NAME)$(PACKAGE_VERSION_MAJOR)g.so

tea-install-lib-binaries:
ifneq	(,$(lib_BINARIES))
	@$(INSTALL_DIR) $(INSTALL_ROOT)$(libdir)
	@list='$(lib_BINARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo " $(INSTALL_PROGRAM) $$p $(INSTALL_ROOT)$(libdir)/$$p"; \
	    $(INSTALL_PROGRAM) $$p $(INSTALL_ROOT)$(libdir)/$$p; \
	    echo " $(RANLIB) $(INSTALL_ROOT)$(libdir)/$$p"; \
	    $(RANLIB) $(INSTALL_ROOT)$(libdir)/$$p; \
	    ext=`echo $$p|sed -e "s/.*\.//"`; \
	    if test "x$$ext" = "xdll"; then \
		lib=`basename $$p|sed -e 's/.[^.]*$$//'`.lib; \
		if test -f $$lib; then \
		    echo " $(INSTALL_DATA) $$lib $(INSTALL_ROOT)$(libdir)/$$lib"; \
	            $(INSTALL_DATA) $$lib $(INSTALL_ROOT)$(libdir)/$$lib; \
		fi; \
	    fi; \
	  fi; \
	done
	@cd $(INSTALL_ROOT)$(libdir); if test -f $(tea_SHARED_LIBNAME); then \
	  $(SYMLINK) -i $(tea_SHARED_LIBNAME) $(tea_SHARED_LINKNAME1); \
	  $(SYMLINK) -i $(tea_SHARED_LIBNAME) $(tea_SHARED_LINKNAME2); \
	fi;
	@cd $(INSTALL_ROOT)$(libdir); if test -f $(tea_SHARED_LIBNAME_DEBUG); then \
	  $(SYMLINK) -i $(tea_SHARED_LIBNAME_DEBUG) $(tea_SHARED_LINKNAME1_DEBUG); \
	  $(SYMLINK) -i $(tea_SHARED_LIBNAME_DEBUG) $(tea_SHARED_LINKNAME2_DEBUG); \
	fi;
endif

# Install binary executables (e.g. .exe files)
# You should not have to modify this target.

tea-install-bin-binaries:
ifneq	(,$(bin_BINARIES))
	@$(INSTALL_DIR) $(INSTALL_ROOT)$(bindir)
	@list='$(bin_BINARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo " $(INSTALL_PROGRAM) $$p $(INSTALL_ROOT)$(bindir)/$$p"; \
	    $(INSTALL_PROGRAM) $$p $(INSTALL_ROOT)$(bindir)/$$p; \
	  fi; \
	done
endif

bin:		tea-all
bin-clean:	tea-clean
bin-realclean:	tea-realclean
bin-install:	tea-install

dev-install:	tea-install-headers

tip55:
	$(TCLSH) $(CONFIGDIR)/mktip55.tcl

])
#PAGE
DS_DEFUN([TEA_STUB], [#PAGE
## ------------------------------------------------------------
## TEA stub library.
## ------------------------------------------------------------

PACKAGE_NAME_UPPERCASE		= @PACKAGE_NAME_UPPERCASE@
MAKE_STUB_LIB			= @MAKE_STUB_LIB@

@PACKAGE_NAME@stub_OBJECTS	= $(tea_stub_OBJECTS)
tea_stub_LIB_FILE		= @tea_stub_LIB_FILE@

tea_stub_SOURCES		= $(PACKAGE_NAME)StubLib.c
tea_stub_OBJECTS		= $(tea_stub_SOURCES:.c=.@OBJEXT@)
tea_stub_TARGETS		= $(tea_stub_LIB_FILE)
tea_stub_INSTLST		= $(tea_stub_TARGETS)
tea_stub_INSTDIR		= $(libdir)

tea_stub_CLEANFILES		= $(tea_stub_LIB_FILE)
tea_stub_REALCLEANFILES		= $(tea_stub_CLEANFILES)

tea_stub_LIBNAME	= lib$(PACKAGE_NAME)stub$(PACKAGE_VERSION).a
tea_stub_LINKNAME1	= lib$(PACKAGE_NAME)stub$(PACKAGE_VERSION_MAJOR).$(PACKAGE_VERSION_MINOR).a
tea_stub_LINKNAME2	= lib$(PACKAGE_NAME)stub$(PACKAGE_VERSION_MAJOR).a

tea_stub_LIBNAME_DEBUG	= lib$(PACKAGE_NAME)stub$(PACKAGE_VERSION)g.a
tea_stub_LINKNAME1_DEBUG = lib$(PACKAGE_NAME)stub$(PACKAGE_VERSION_MAJOR).$(PACKAGE_VERSION_MINOR)g.a
tea_stub_LINKNAME2_DEBUG = lib$(PACKAGE_NAME)stub$(PACKAGE_VERSION_MAJOR)g.a


.PHONY: tea-stub-all tea-stub-clean tea-stub-realclean tea-stub-install

tea-stub-all: $(tea_stub_TARGETS)
tea-stub-clean:
	-$(RM) $(tea_stub_CLEANFILES)
tea-stub-realclean:
	-$(RM) $(tea_stub_REALCLEANFILES)
tea-stub-install:
DS_INSTALL_DATA(tea_stub)
	@cd $(INSTALL_ROOT)$(libdir); if test -f $(tea_stub_LIBNAME); then \
	  $(SYMLINK) -i $(tea_stub_LIBNAME) $(tea_stub_LINKNAME1); \
	  $(SYMLINK) -i $(tea_stub_LIBNAME) $(tea_stub_LINKNAME2); \
	fi;
	@cd $(INSTALL_ROOT)$(libdir); if test -f $(tea_stub_LIBNAME_DEBUG); then \
	  $(SYMLINK) -i $(tea_stub_LIBNAME_DEBUG) $(tea_stub_LINKNAME1_DEBUG); \
	  $(SYMLINK) -i $(tea_stub_LIBNAME_DEBUG) $(tea_stub_LINKNAME2_DEBUG); \
	fi;

$(tea_stub_LIB_FILE): $(tea_stub_OBJECTS)
	$(MAKE_STUB_LIB)
	$(RANLIB) $(tea_stub_LIB_FILE)

dev:		tea-stub-all
dev-clean:	tea-stub-clean
dev-realclean:	tea-stub-realclean
dev-install:	tea-stub-install

])
#PAGE
DS_DEFUN([TEA_STUB_TEST], [#PAGE
## ------------------------------------------------------------
## TEA stub library test library.
## ------------------------------------------------------------

MAKE_STUB_TEST_LIB	= @MAKE_STUB_TEST_LIB@
STUB_TEST_FLAGS		= -DUSE_$(PACKAGE_NAME_UPPERCASE)_STUB
COMPILE_STUB_TEST	= $(COMPILE) $(STUB_TEST_FLAGS)

tea_stub_test_OBJECTS	?= inittest.@OBJEXT@ commandstest.@OBJEXT@
tea_stub_test_LIB_FILE	= @tea_stub_test_LIB_FILE@

tea_stub_test_TARGETS		= $(tea_stub_test_LIB_FILE)
tea_stub_test_CLEANFILES	= $(tea_stub_test_LIB_FILE) $(tea_stub_test_OBJECTS)
tea_stub_test_REALCLEANFILES	= $(tea_stub_test_CLEANFILES)

.PHONY: tea-stub-test-all tea-stub-test-clean tea-stub-test-realclean

tea-stub-test-all: $(tea_stub_test_TARGETS)
tea-stub-test-clean:
	-$(RM) $(tea_stub_test_CLEANFILES)
tea-stub-test-realclean:
	-$(RM) $(tea_stub_test_REALCLEANFILES)

$(tea_stub_test_LIB_FILE): $(tea_stub_LIB_FILE) $(tea_stub_test_OBJECTS)
	$(MAKE_STUB_TEST_LIB)


inittest.@OBJEXT@: inittest.c
	$(COMPILE_STUB_TEST) -c `@CYGPATH@ $(<)` -o $(@)
commandstest.@OBJEXT@: commandstest.c
	$(COMPILE_STUB_TEST) -c `@CYGPATH@ $(<)` -o $(@)


test:		tea-stub-test-all
test-clean:	tea-stub-test-clean
test-realclean: tea-stub-test-realclean

])

### end of file
# Local Variables:
# page-delimiter: "^#PAGE"
# mode: makefile
# End:
m4_divert(0)m4_dnl
